Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/php7-gmagick: fixes in APKBUILD

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Sun, 12 Feb 2017 22:39:53 +0200

---
 testing/php7-gmagick/APKBUILD | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)
diff --git a/testing/php7-gmagick/APKBUILD b/testing/php7-gmagick/APKBUILD
index 800a7aa065..39c44724a3 100644
--- a/testing/php7-gmagick/APKBUILD
+++ b/testing/php7-gmagick/APKBUILD
_at_@ -4,7 +4,7 @@ pkgname=php7-gmagick
 _pkgreal=gmagick
 pkgver=2.0.4_rc1
 _pkgver=${pkgver/_rc/RC}
-pkgrel=2
+pkgrel=3
 pkgdesc="PHP7 bindings to the GraphicsMagick library"
 url="http://pecl.php.net/package/gmagick"
 arch="all"
_at_@ -13,17 +13,18 @@ depends=
 makedepends="graphicsmagick-dev autoconf libtool php7-dev"
 install=
 subpackages=
-source="http://pecl.php.net/get/gmagick-$_pkgver.tgz"
-
-builddir="$srcdir"/gmagick-$_pkgver
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
+builddir="$srcdir/$_pkgreal-$_pkgver"
 
 prepare() {
+	default_prepare || return 1
+
 	cd "$builddir"
 	phpize7 || return 1
 }
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--prefix=/usr \
 		--with-php-config=/usr/bin/php-config7 \
_at_@ -33,10 +34,10 @@ build() {
 
 package() {
 	cd "$builddir"
-	make INSTALL_ROOT="$pkgdir/" install || return 1
+	make INSTALL_ROOT="$pkgdir" install || return 1
 	install -d "$pkgdir"/etc/php7/conf.d || return 1
 	echo "extension=$_pkgreal.so" > \
-		"$pkgdir"/etc/php7/conf.d/10_$_pkgreal.ini
+		"$pkgdir"/etc/php7/conf.d/$_pkgreal.ini
 }
 
 md5sums="75bd382e666033dbb7a8fab9088dc827  gmagick-2.0.4RC1.tgz"
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Feb 12 2017 - 22:39:53 GMT